package com.srs.comprehensive.domain;

import java.util.Date;
import java.io.Serializable;

/**
 * (SchoolClasses)实体类
 *
 * @author Chao
 * @since 2023-07-13 17:00:48
 */
public class SchoolClasses implements Serializable {
    private static final long serialVersionUID = 709763056245573054L;

    private Long id;
    /**
     * 班级名称
     */
    private String className;
    /**
     * 专业id
     */
    private Long majorId;
    /**
     * 辅导员id
     */
    private Long tId;
    /**
     * 班级代码
     */
    private String classCode;
    /**
     * 写入时间
     */
    private Date writeTime;
    /**
     * 读取时间
     */
    private Date readTime;
    /**
     * 数据状态 1-启用 0-未启用
     */
    private String dataStatus;
    /**
     * 读写状态 2-已读 1-未读
     */
    private String chmodStatus;
    private String majorCode;
    private String gradeCode;
    private String tNo;
    public String getGradeCode() {
        return gradeCode;
    }

    public void setGradeCode(String gradeCode) {
        this.gradeCode = gradeCode;
    }

    public String gettNo() {
        return tNo;
    }

    public void settNo(String tNo) {
        this.tNo = tNo;
    }


    public String getMajorCode() {
        return majorCode;
    }

    public void setMajorCode(String majorCode) {
        this.majorCode = majorCode;
    }




    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public Long getTId() {
        return tId;
    }

    public void setTId(Long tId) {
        this.tId = tId;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public Date getWriteTime() {
        return writeTime;
    }

    public void setWriteTime(Date writeTime) {
        this.writeTime = writeTime;
    }

    public Date getReadTime() {
        return readTime;
    }

    public void setReadTime(Date readTime) {
        this.readTime = readTime;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getChmodStatus() {
        return chmodStatus;
    }

    public void setChmodStatus(String chmodStatus) {
        this.chmodStatus = chmodStatus;
    }

}


